Artefacts with rubber band

2010-08-04 02:54 AM - Volker Fröhlich

Status: Closed

Priority: Low

Assignee: nobody -

Category: Digitising

Affected QGIS version: Regression?: No

Operating System: Linux Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 12989

Description

I witnessed artefacts while measuring and digitizing. I think these functions are based on rubber band.

Interestingly, I could not reproduce the artefacts in a Windows-Virtualbox on the same machine, so it doesn't seem like the graphics driver

is causing that.

History

#1 - 2010-08-04 10:12 AM - Giovanni Manghi

I cannot see this with gnome (Ubuntu).

#2 - 2010-08-04 02:28 PM - Volker Fröhlich

lutra: I suppose Karmic or older? It's working perfectly fine there.

It's obviously a regression from Qt 4.5 to 4.6. Ubuntu Lucid ships Qt 4.6 and the artefacts are there. Same with Qt 4.6 and 4.7 in Fedora.

It is not linked with the graphics driver or the window manager.

#3 - 2010-08-04 02:42 PM - Jürgen Fischer

also reproducable on debian unstable (Qt 4.6.3)

#4 - 2010-08-05 10:29 AM - Giovanni Manghi

odd, I cannot set them on Lucid using gnome using the measure line and area tools, but they show using the measure angle tool.

#5 - 2010-09-15 12:58 PM - Marco Hugentobler

Could you please test with commit:a953fa14 (SVN r14235)? It fixes the artifacts on my system (but could be different depending on window manager, OS,

etc.)

#6 - 2010-09-15 01:45 PM - Volker Fröhlich

- Resolution set to fixed

2025-04-27 1/2



- Status changed from Open to Closed

Brilliant, the artefacts are gone for Qt 4.6.3 and KWin. Haven't tested other versions yet.

Files

measuring_artefacts.png 158 KB 2010-08-04 Volker Fröhlich

2025-04-27 2/2


